Skip to Content
SeyloDocs

Set a person's access to a project

POST
/api/v1/grants.setOnProject

Creates or replaces one member's grant on a project with the given actions (it covers the project's services). Only actions you hold on the project yourself.

Needs grants.manage on the project. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
userId*string

Panel-issued id.

Match^[a-z0-9]{16}$
actions*array<>
Items1 <= items <= 200

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
userId*string

Panel-issued id.

Match^[a-z0-9]{16}$
scopeType*string|string
scopeId*string

Panel-issued id.

Match^[a-z0-9]{16}$
scopeName*string
projectId*|null
actions*array<>
createdBy*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/grants.setOnProject' \  -H 'Content-Type: application/json' \  -d '{  "projectId": "string",  "userId": "string",  "actions": [    "string"  ]}'
Example Response
{  "id": "string",  "userId": "string",  "scopeType": "project",  "scopeId": "string",  "scopeName": "string",  "projectId": "string",  "actions": [    "string"  ],  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}